Bug 1563994 (CVE-2017-0861) - CVE-2017-0861 kernel: Use-after-free in snd_pcm_info function in ALSA subsystem potentially leads to privilege escalation
Summary: CVE-2017-0861 kernel: Use-after-free in snd_pcm_info function in ALSA subsyst...
Status: NEW
Alias: CVE-2017-0861
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20171205,repor...
Keywords: Security
Depends On: 1565191 1565192 1563995 1563996 1565188 1565189 1565190
Blocks: 1563998
TreeView+ depends on / blocked
 
Reported: 2018-04-05 06:51 UTC by Adam Mariš
Modified: 2019-02-08 15:01 UTC (History)
43 users (show)

Fixed In Version: kernel 4.15
Doc Type: If docs needed, set a value
Doc Text:
Use-after-free vulnerability in the snd_pcm_info() function in the ALSA subsystem in the Linux kernel allows attackers to induce a kernel memory corruption and possibly crash or lock up a system. Due to the nature of the flaw, a privilege escalation cannot be fully ruled out, although we believe it is unlikely.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2390 None None None 2018-08-14 18:26 UTC
Red Hat Product Errata RHSA-2018:3083 None None None 2018-10-30 07:32 UTC
Red Hat Product Errata RHSA-2018:3096 None None None 2018-10-30 07:39 UTC

Description Adam Mariš 2018-04-05 06:51:32 UTC
Use-after-free vulnerability in the snd_pcm_info() function in the ALSA subsystem in the Linux kernel allows attackers to induce a kernel memory corruption and possibly crash or lock up a system. Due to the nature of the flaw, a privilege escalation cannot be fully ruled out, although we believe it is unlikely.

References:

http://lists.alioth.debian.org/pipermail/secure-testing-commits/2017-December/059967.html

https://source.android.com/security/bulletin/pixel/2017-11-01#kernel-components

An upstream patch:

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=362bca57f5d78220f8b5907b875961af9436e229

Comment 1 Adam Mariš 2018-04-05 06:52:21 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1563995]

Comment 3 Justin M. Forbes 2018-04-05 14:29:14 UTC
This was fixed for Fedora with the 4.14.6 stable updates.

Comment 7 errata-xmlrpc 2018-08-14 18:25:55 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2018:2390 https://access.redhat.com/errata/RHSA-2018:2390

Comment 8 errata-xmlrpc 2018-10-30 07:32:35 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3083 https://access.redhat.com/errata/RHSA-2018:3083

Comment 9 errata-xmlrpc 2018-10-30 07:38:46 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3096 https://access.redhat.com/errata/RHSA-2018:3096


Note You need to log in before you can comment on or make changes to this bug.